Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
can't unmerge gconf 1.0.9
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
joker
l33t
l33t


Joined: 03 May 2003
Posts: 681
Location: www

PostPosted: Fri Sep 03, 2004 7:57 pm    Post subject: can't unmerge gconf 1.0.9 Reply with quote

Code:
 #  emerge gconf-1.0.9 -C

 gnome-base/gconf
    selected: 1.0.9
   protected: none
     omitted: 2.6.2

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

>>> Waiting 5 seconds before starting...
>>> (Control-C to abort)...
>>> Unmerging in: 5 4 3 2 1
>>> Unmerging gnome-base/gconf-1.0.9...
No package files given... Grabbing a set.
/var/db/pkg/gnome-base/gconf-1.0.9/gconf-1.0.9.ebuild: line 33: syntax error near unexpected token `sys-devel/gettext'
/var/db/pkg/gnome-base/gconf-1.0.9/gconf-1.0.9.ebuild: line 33: `       nls? ( sys-devel/gettext )"'
                               
!!! ERROR: gnome-base/gconf-1.0.9 failed.
!!! Function , Line 1299, Exitcode 1
!!! error sourcing ebuild       
                               
!!! FAILED prerm: 1             

_________________
http://amarok.org.pl | http://koffice.org.pl | http://kde.org.pl
Back to top
View user's profile Send private message
steveb
Advocate
Advocate


Joined: 18 Sep 2002
Posts: 4564

PostPosted: Fri Sep 03, 2004 8:09 pm    Post subject: Reply with quote

please post the content of /var/db/pkg/gnome-base/gconf-1.0.9/gconf-1.0.9.ebuild

cheers

steveb
Back to top
View user's profile Send private message
Deathwing00
Bodhisattva
Bodhisattva


Joined: 13 Jun 2003
Posts: 4087
Location: Dresden, Germany

PostPosted: Fri Sep 03, 2004 8:10 pm    Post subject: Reply with quote

Moved from Desktop Environments.
Back to top
View user's profile Send private message
joker
l33t
l33t


Joined: 03 May 2003
Posts: 681
Location: www

PostPosted: Fri Sep 03, 2004 8:28 pm    Post subject: Reply with quote

/var/db/pkg/gnome-base/gconf-1.0.9/gconf-1.0.9.ebuild
Code:
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/cvsroot/gentoo-x86/gnome-base/gconf/gconf-1.0.9.ebuild,v 1.5 2$

inherit libtool gnome.org

IUSE="nls"
MY_PN=GConf
MY_P=${MY_PN}-${PV}
PVP=($(echo " $PV " | sed 's:[-\._]: :g'))
S=${WORKDIR}/GConf-${PV}

S=${WORKDIR}/${MY_P}

DESCRIPTION="Gnome Configuration System and Daemon"
HOMEPAGE="http://www.gnome.org/"
SRC_URI="mirror://gnome/sources/${MY_PN}/${PVP[0]}.${PVP[1]}/${MY_P}.tar.bz2"

SLOT="1"
LICENSE="LGPL-2.1"

KEYWORDS="x86 ~ppc ~sparc ~alpha ~hppa ~amd64 ~ia64"

DEPEND="dev-util/indent
        =dev-libs/glib-1.2*
        =x11-libs/gtk+-1.2*
        dev-libs/libxml
        dev-libs/popt
        gnome-base/oaf
        gnome-base/orbit^A

RDEPEND="${DEPEND}
        nls? ( sys-devel/gettext )"

MAKEOPTS="${MAKEOPTS} -j1"

src_unpack () {
        unpack ${A}
        EPATCH_OPTS="-d ${S}" epatch ${FILESDIR}/gconfd-2-fix.patch
        epatch ${FILESDIR}/${P}-locallock_mdk.patch

        mkdir ${S}/intl
        touch ${S}/intl/libgettext.h
}

src_compile() {
        elibtoolize
        econf $(use_enable nls)
        emake || die "make failed"
}

src_installsrc_install() {

        make DESTDIR=${D} install || die "install failed"

        # gconf 1.0.8 seems to gets the perms wrong on this dir.
        chmod 0755 ${D}/etc/gconf/gconf.xml.mandatory
        # keep this mandatory dir
        keepdir /etc/gconf/gconf.xml.mandatory/.keep${SLOT}
        # this fix closes bug #803
        dodoc AUTHORS COPYING ChangeLog NEWS README* TODO

}

pkg_postinst() {
        # this is to fix installations where the following dir
        # has already been merged with incorrect permissions.
        # We can remove this fix after gconf 1.0.8 is an ancient
        # version.
        if [ ! -e ${ROOT}/etc/gconf/gconf.xml.mandatory ]
}


_________________
http://amarok.org.pl | http://koffice.org.pl | http://kde.org.pl
Back to top
View user's profile Send private message
steveb
Advocate
Advocate


Joined: 18 Sep 2002
Posts: 4564

PostPosted: Sat Sep 04, 2004 12:53 am    Post subject: Reply with quote

please edit the file and change:
Code:
DEPEND="dev-util/indent
        =dev-libs/glib-1.2*
        =x11-libs/gtk+-1.2*
        dev-libs/libxml
        dev-libs/popt
        gnome-base/oaf
        gnome-base/orbit^A
to:
Code:
DEPEND="dev-util/indent
        =dev-libs/glib-1.2*
        =x11-libs/gtk+-1.2*
        dev-libs/libxml
        dev-libs/popt
        gnome-base/oaf
        gnome-base/orbit"
and then try again.

cheers

SteveB
Back to top
View user's profile Send private message
kallamej
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4933
Location: Gothenburg, Sweden

PostPosted: Sat Sep 04, 2004 8:23 am    Post subject: Reply with quote

Moved from Portage & Programming. :arrow: https://forums.gentoo.org/viewtopic.php?t=185481
_________________
Please read our FAQ Forum, it answers many of your questions.
irc: #gentoo-forums on irc.freenode.net
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum